shisa_principal_find(3)

NAME
shisa_principal_find - API function

SYNOPSIS
#include <shisa.h>

int shisa_principal_find(Shisa * dbh, const char * realm, const char * principal, Shisa_principal * ph);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * realm
    Name of the realm the principal belongs to.

const char * principal
    Name of principal to get information about.

Shisa_principal * ph
    Pointer to a previously allocated principal structure where information about the principal is to be stored.

DESCRIPTION
Extracts information about given the PRINCIPAL@REALM pair selected by principal and realm.

RETURN VALUE
Returns SHISA_OK if successful, SHISA_NO_REALM if the indicated realm does not exist, SHISA_NO_PRINCIPAL if the indicated principal does not exist, or an error code otherwise.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.